clear
close all
addpath Models/'All strains Model'
addpath ('/users/dinark/Downloads/casadi-osx-matlabR2015a-v3.5.1/')
import casadi.*


rng(1)%generating random numbers that are repeatable

ODEsys = ODEmodel();
controlProblemProps = OCPprops(ODEsys);

x0 = ODEsys.x0;
%Optimal Control Problem, nlpsol with IPOPT (Interior Point Optimizer for
%large-scale nonlinear optimization)
[OCP, solver] = direct_collocation_func(ODEsys, controlProblemProps, x0);


F_integrator = makePlantIntegrator(ODEsys,controlProblemProps);

% Create an NLP solver
w = OCP.w;
g = OCP.g;

OCP_initguess = OCP.w0;


xf = x0;

sim = struct;


% Simulate

for i = 1:200

OCP_variables = xf;
% Solve the NLP - with boundries for inputs and constraints
sol = solver('x0', OCP_initguess, 'p', OCP_variables, 'lbx', OCP.lbw, 'ubx', OCP.ubw,...
            'lbg', OCP.lbg, 'ubg', OCP.ubg);
w_opt = full(sol.x);

OCP_initguess = w_opt; % Updating initial guess for next iteration

[x,u] = sortResults(w_opt, ODEsys, controlProblemProps);



input_u = u(:,1);
input_d = ODEsys.d0;


simulationInputs = [input_u; input_d]; % Inputs to simulator

Fk = F_integrator('x0',xf,'p',simulationInputs); % Simulate
    xf = full(Fk.xf);
    
    sim.y(:,i) = xf;
    sim.u(:,i) = input_u;
    sim.d(:,i) = input_d;
   
end
% Plot the solution


fprintf('\n------------------------------------------------------------------\n \n')


plotFunction2(x0,sim,ODEsys,controlProblemProps)
