function props = OCPprops(ODEsys)

    x = ODEsys.x;
    u = ODEsys.u;

    props = struct;
    
    props.d = 3; % Number of collocation points per step
    props.T = 20; % Time horizon
    props.N = 50; % Number of steps in time horizon
    
    % Autmatically minimizes, need (-) to maximize
    %% A) Max biomass
    %props.stageCost = -x(1) - x(2);
    %% B) Max product in outstream [mumol/h]
    %props.stageCost = -x(6)*u(4); 
    %% Total SSL conc
    SSLconc=36+110+45;
    %SSLconc=20+20+20;
    %% C) Max yield biomass
    %props.stageCost= -x(1)*u(4)/((SSLconc*u(3)) + 0.1) -x(2)*u(4)/((SSLconc*u(3))+0.1);
    %% Linearized version
    %props.stageCost= -u(4)*(x(1)+x(2)) + u(3)*(x(3) + x(4) + x(5));
    %% D) Max yield product
    % Linearized approximation
    props.stageCost= -x(6)*u(4) + u(3)*(x(3) + x(4) + x(5));

    props.terminalCost = [];
    
    
end