function editFigureProperties( fig )
    
    % Set aspectratio of figure
    aspectratio = 1.618;
    width = 20;
    height = width/aspectratio;

    % Figure properties
    fig.Color = [1 1 1];
    fig.PaperPositionMode = 'manual';
    fig.PaperUnits = 'inches';
    fig.Units = 'inches';
    fig.PaperSize = [width, height];
    fig.PaperPosition = [0, 0, width, height];
    fig.Position = [8, 5, width, height];
    fig.Resize = 'off';
    fig.InvertHardcopy = 'off';
    
    % Axes properties
    fontProps.FontName = 'Helvetica';
    %fontProps.FontSize = 10;
    fontProps.FontSize = 19;
    fontProps.FontWeight = 'bold';
    set(fig.Children, fontProps, 'Box', 'off'); % Children is all axes objects in case of subplots
    
    % Plot properties
    set(...
        findobj(...
        fig.Children, 'Type', 'line',...
        'LineStyle', '-', '-or',...
        'LineStyle', '--', '-or',...
        'LineStyle', ':', '-or',...
        'LineStyle', '-.'...
        ),...
        'LineWidth', 3);
    
        set(...
        findobj(...
        fig.Children, 'Type', 'stair',...
        'LineStyle', '-', '-or',...
        'LineStyle', '--', '-or',...
        'LineStyle', ':', '-or',...
        'LineStyle', '-.'...
        ),...
        'LineWidth', 3);
    
end

