function F_integrator = makePlantIntegrator(ODEmodel,OCPprops)

    import casadi.*

    x = ODEmodel.x;
    u = ODEmodel.u;
    d = ODEmodel.d;
    x_dot = ODEmodel.x_dot;
    
    L = OCPprops.stageCost;
    
    timeStep = OCPprops.T/OCPprops.N;
    
    
    % Variable inputs in a single variable
    p = [u;d];
    
    ode = struct('x',x,'p',p,'ode',x_dot,'quad',L);
    opts = struct('tf',timeStep);
    
    F_integrator = integrator('F','cvodes',ode,opts);
end