function [x,u] = sortResults(results, ODEmodel, OCPprops)
    
    N = OCPprops.N;

    d = OCPprops.d;
    
    nx = length(ODEmodel.x);
    nu = length(ODEmodel.u);

    x = zeros(nx,1);
    u = zeros(nu,1);
    
    x = results(1:nx);
    u = results(nx+1:nx+nu);
    
    % Picking out x-values
    for i = nx+nu : (d+1)*nx+nu : nx + (nu+nx*(d+1))*N-1
        for j = 0:d % Interpolation points
            x = [x, results(i+1+j*nx : i+(j+1)*nx)];
        end
    end
    
    % Picking out u-values
    for i = (d+2)*nx+nu : (d+1)*nx+nu : length(results)-1
            u = [u, results(i+1:i+nu)];
    end

end